Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::FileSystemArchiveFactory Class Reference

Specialisation of ArchiveFactory for FileSystem files. More...

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::FileSystemArchiveFactory:

[legend]
List of all members.

## Public Member Functions
virtual | ~FileSystemArchiveFactory ()
const String & | getType (void) const
| Returns: The factory type.
Archive * | createInstance (const String &name)
  | Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory.
void | destroyInstance (Archive *arch)
  | Parameters:
  | ptr | Pointer to the object to destroy

## Detailed Description

Specialisation of ArchiveFactory for FileSystem files.

Definition at line 93 of file OgreFileSystem.h.

## Constructor & Destructor Documentation

virtual Ogre::FileSystemArchiveFactory::~FileSystemArchiveFactory | ( |  | ) | `[virtual]`

| Definition at line 96 of file OgreFileSystem.h.

## Member Function Documentation

Archive* Ogre::FileSystemArchiveFactory::createInstance | ( | const String & | name | ) | `[virtual]`

  | Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory. Implements Ogre::FactoryObj< Archive >. Definition at line 100 of file OgreFileSystem.h.

void Ogre::FileSystemArchiveFactory::destroyInstance | ( | Archive * | arch | ) | `[virtual]`

  | Parameters:
  | ptr | Pointer to the object to destroy
Implements Ogre::FactoryObj< Archive >. Definition at line 105 of file OgreFileSystem.h.

const String& Ogre::FileSystemArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

| Returns: The factory type. Implements Ogre::FactoryObj< Archive >.

The documentation for this class was generated from the following file:

- OgreFileSystem.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:44 2008